Bug 25092 - * Assertion at mini-x86.c:6575, condition `code [0] == 0x90' not met
Summary: * Assertion at mini-x86.c:6575, condition `code [0] == 0x90' not met
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2014-12-05 04:45 UTC by Marek Safar
Modified: 2018-04-05 19:45 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Marek Safar 2014-12-05 04:45:38 UTC
* Assertion at mini-x86.c:6575, condition `code [0] == 0x90' not met

Stacktrace:


Native stacktrace:

	0   mono                                0x002117cc mono_handle_native_sigsegv + 444
	1   mono                                0x002c0aeb sigabrt_signal_handler + 171
	2   libsystem_platform.dylib            0x978eadeb _sigtramp + 43
	3   ???                                 0xffffffff 0x0 + 4294967295
	4   libsystem_c.dylib                   0x9102c29c abort + 155
	5   mono                                0x004e5756 monoeg_log_default_handler + 246
	6   mono                                0x004e564b monoeg_g_logv + 155
	7   mono                                0x004e57df monoeg_assertion_message + 47
	8   mono                                0x002af5a8 mono_arch_set_breakpoint + 136
	9   mono                                0x00244db0 insert_breakpoint + 1136
	10  mono                                0x0024468b set_bp_in_method + 507
	11  mono                                0x00243801 set_breakpoint + 625
	12  mono                                0x0024332e ss_start + 1374
	13  mono                                0x00258a45 ss_create + 2165
	14  mono                                0x0024ec3d event_commands + 4173
	15  mono                                0x0024b7cd debugger_thread + 2061
	16  mono                                0x004dc462 inner_start_thread + 626
	17  libsystem_pthread.dylib             0x911705fb _pthread_body + 144
	18  libsystem_pthread.dylib             0x91170485 _pthread_struct_init + 0
	19  libsystem_pthread.dylib             0x91175cf2 thread_start + 34

Debug info from gdb:

(lldb) command source -s 0 '/tmp/mono-gdb-commands.wXAFVY'
Executing commands in '/private/tmp/mono-gdb-commands.wXAFVY'.
(lldb) process attach --pid 65494
Process 65494 stopped
Executable module set to "/Library/Frameworks/Mono.framework/Versions/master/bin/mono".
Architecture set to: i386-apple-macosx.
(lldb) thread list
Process 65494 stopped
* thread #1: tid = 0x41e522, 0x924ab7ca libsystem_kernel.dylib`__psynch_cvwait + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  thread #2: tid = 0x41e524, 0x924a6fb6 libsystem_kernel.dylib`semaphore_wait_trap + 10
  thread #3: tid = 0x41e525, 0x924ac992 libsystem_kernel.dylib`kevent64 + 10, queue = 'com.apple.libdispatch-manager'
  thread #4: tid = 0x41e52a, 0x924abff2 libsystem_kernel.dylib`__wait4 + 10
(lldb) thread backtrace all
* thread #1: tid = 0x41e522, 0x924ab7ca libsystem_kernel.dylib`__psynch_cvwait + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x924ab7ca libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0x91172d1d libsystem_pthread.dylib`_pthread_cond_wait + 728
    frame #2: 0x91174bd9 libsystem_pthread.dylib`pthread_cond_wait$UNIX2003 + 71
    frame #3: 0x00245526 mono`suspend_current + 550 at debugger-agent.c:3057
    frame #4: 0x00245af4 mono`invoke_method + 1076 at debugger-agent.c:6760
    frame #5: 0x00245693 mono`suspend_current + 915 at debugger-agent.c:3076
    frame #6: 0x00240e9f mono`process_event(event=EVENT_KIND_BREAKPOINT, arg=0x7bd3db18, il_offset=0, ctx=0x7c926764, events=0x00000000, suspend_policy=2) + 3023 at debugger-agent.c:3835
    frame #7: 0x00241f09 mono`process_breakpoint_inner(tls=0x7c926600) + 1785 at debugger-agent.c:4787
    frame #8: 0x0024a821 mono`process_signal_event(func=0x00241810) + 177 at debugger-agent.c:4804
    frame #9: 0x0023f3ca mono`process_breakpoint + 26 at debugger-agent.c:4816
    frame #10: 0x02b82b9f
    frame #11: 0x026f0188
    frame #12: 0x023c8e6e
    frame #13: 0x023bf454
    frame #14: 0x023bef87
    frame #15: 0x023bcf28
    frame #16: 0x023bbacc
    frame #17: 0x023bb664
    frame #18: 0x023b8e48
    frame #19: 0x023b8a94
    frame #20: 0x023b75e4
    frame #21: 0x023b6f3c
    frame #22: 0x023b8860
    frame #23: 0x023b83d8
    frame #24: 0x023b7594
    frame #25: 0x023b6f3c
    frame #26: 0x023b8860
    frame #27: 0x023b83d8
    frame #28: 0x023b7594
    frame #29: 0x023b6f3c
    frame #30: 0x023b8860
    frame #31: 0x023b83d8
    frame #32: 0x023b7594
    frame #33: 0x023b6f3c
    frame #34: 0x023b6be4
    frame #35: 0x023b6630
    frame #36: 0x023b2020
    frame #37: 0x023b0cf4
    frame #38: 0x021a1698
    frame #39: 0x0219a430
    frame #40: 0x0269f548
    frame #41: 0x0269a525
    frame #42: 0x023c8e6e
    frame #43: 0x023bf454
    frame #44: 0x023bef87
    frame #45: 0x023cebf0
    frame #46: 0x023bcf94
    frame #47: 0x023bbacc
    frame #48: 0x023bb664
    frame #49: 0x023b8e48
    frame #50: 0x023b8a94
    frame #51: 0x023b75e4
    frame #52: 0x023b6f3c
    frame #53: 0x023b6be4
    frame #54: 0x023b6630
    frame #55: 0x023b2020
    frame #56: 0x023b0cf4
    frame #57: 0x021a1698
    frame #58: 0x0219a430
    frame #59: 0x01f8d340
    frame #60: 0x007a6188
    frame #61: 0x007a6302
    frame #62: 0x000f6b8d mono`mono_jit_runtime_invoke(method=0x7dbdd0c8, obj=0x00000000, params=0xbff1e3ec, exc=0x00000000) + 1357 at mini.c:6595
    frame #63: 0x003f52b0 mono`mono_runtime_invoke(method=0x7dbdd0c8, obj=0x00000000, params=0xbff1e3ec, exc=0x00000000) + 208 at object.c:2863
    frame #64: 0x003ff12f mono`mono_runtime_exec_main(method=0x7dbdd0c8, args=0x00800710, exc=0x00000000) + 847 at object.c:4128
    frame #65: 0x003fedd7 mono`mono_runtime_run_main(method=0x7dbdd0c8, argc=2, argv=0xbff1e94c, exc=0x00000000) + 1079 at object.c:3746
    frame #66: 0x001c7d7e mono`mono_jit_exec(domain=0x7c90e410, assembly=0x7b6173d0, argc=3, argv=0xbff1e948) + 286 at driver.c:1005
    frame #67: 0x001cbcf7 mono`main_thread_handler(user_data=0xbff1e808) + 647 at driver.c:1064
    frame #68: 0x001ca650 mono`mono_main(argc=6, argv=0xbff1e93c) + 9024 at driver.c:2024
    frame #69: 0x000e3a68 mono`mono_main_with_options(argc=6, argv=0xbff1e93c) + 1016 at main.c:91
    frame #70: 0x000e3660 mono`main(argc=6, argv=0xbff1e93c) + 64 at main.c:122
    frame #71: 0x913ae701 libdyld.dylib`start + 1

  thread #2: tid = 0x41e524, 0x924a6fb6 libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #0: 0x924a6fb6 libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #1: 0x004d240f mono`mono_sem_wait(sem=0x005e4f7c, alertable=1) + 31 at mono-semaphore.c:103
    frame #2: 0x003f0315 mono`finalizer_thread(unused=0x00000000) + 229 at gc.c:1077
    frame #3: 0x003b88e9 mono`start_wrapper_internal(data=0x7c927a60) + 761 at threads.c:663
    frame #4: 0x003b85e2 mono`start_wrapper(data=0x7c927a60) + 34 at threads.c:710
    frame #5: 0x004dc462 mono`inner_start_thread(arg=0xbff1e158) + 626 at mono-threads-posix.c:92
    frame #6: 0x911705fb libsystem_pthread.dylib`_pthread_body + 144
    frame #7: 0x91170485 libsystem_pthread.dylib`_pthread_start + 130
    frame #8: 0x91175cf2 libsystem_pthread.dylib`thread_start + 34

  thread #3: tid = 0x41e525, 0x924ac992 libsystem_kernel.dylib`kevent64 + 10, queue = 'com.apple.libdispatch-manager'
    frame #0: 0x924ac992 libsystem_kernel.dylib`kevent64 + 10
    frame #1: 0x9a153899 libdispatch.dylib`_dispatch_mgr_invoke + 238
    frame #2: 0x9a153532 libdispatch.dylib`_dispatch_mgr_thread + 52

  thread #4: tid = 0x41e52a, 0x924abff2 libsystem_kernel.dylib`__wait4 + 10
    frame #0: 0x924abff2 libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x9104aec5 libsystem_c.dylib`waitpid$UNIX2003 + 48
    frame #2: 0x00211947 mono`mono_handle_native_sigsegv(signal=6, ctx=0xb031855c) + 823 at mini-exceptions.c:2338
    frame #3: 0x002c0aeb mono`sigabrt_signal_handler(_dummy=6, _info=0xb031851c, context=0xb031855c) + 171 at mini-posix.c:207
    frame #4: 0x978eadeb libsystem_platform.dylib`_sigtramp + 43
    frame #5: 0x924ab953 libsystem_kernel.dylib`__pthread_kill + 11
    frame #6: 0x9102c29c libsystem_c.dylib`abort + 155
    frame #7: 0x004e5756 mono`monoeg_log_default_handler(log_domain=0x00000000, log_level=G_LOG_LEVEL_ERROR, message=0x7c978180, unused_data=0x00000000) + 246 at goutput.c:232
    frame #8: 0x004e564b mono`monoeg_g_logv(log_domain=0x00000000, log_level=G_LOG_LEVEL_ERROR, format=0x004f6898, args=0xb0318694) + 155 at goutput.c:113
    frame #9: 0x004e57df mono`monoeg_assertion_message(format=0x004f6898) + 47 at goutput.c:133
    frame #10: 0x002af5a8 mono`mono_arch_set_breakpoint(ji=0x7e3c3100, ip=0x0269a0d0) + 136 at mini-x86.c:6575
    frame #11: 0x00244db0 mono`insert_breakpoint(seq_points=0x7e3e0600, domain=0x7c90e410, ji=0x7e3c3100, bp=0x7c979a10, error=0x00000000) + 1136 at debugger-agent.c:4307
    frame #12: 0x0024468b mono`set_bp_in_method(domain=0x7c90e410, method=0x7d45f3a0, seq_points=0x7e3e0600, bp=0x7c979a10, error=0x00000000) + 507 at debugger-agent.c:4444
    frame #13: 0x00243801 mono`set_breakpoint(method=0x7d45f3a0, il_offset=16777369, req=0x7c975d20, error=0x00000000) + 625 at debugger-agent.c:4495
    frame #14: 0x0024332e mono`ss_start(ss_req=0x7c978270, method=0x7bd3db18, sp=0xb0318938, info=0x7f4b92b0, ctx=0x7c926600, tls=0x7c926600, step_to_catch=0) + 1374 at debugger-agent.c:5246
    frame #15: 0x00258a45 mono`ss_create(thread=0x018fc120, size=STEP_SIZE_LINE, depth=STEP_DEPTH_OVER, req=0x7c975d20) + 2165 at debugger-agent.c:5399
    frame #16: 0x0024ec3d mono`event_commands(command=1, p=0x7c977fd4, end=0x7c977fd4, buf=0xb0318db8) + 4173 at debugger-agent.c:7367
    frame #17: 0x0024b7cd mono`debugger_thread(arg=0x00000000) + 2061 at debugger-agent.c:9572
    frame #18: 0x004dc462 mono`inner_start_thread(arg=0xbff1e198) + 626 at mono-threads-posix.c:92
    frame #19: 0x911705fb libsystem_pthread.dylib`_pthread_body + 144
    frame #20: 0x91170485 libsystem_pthread.dylib`_pthread_start + 130
    frame #21: 0x91175cf2 libsystem_pthread.dylib`thread_start + 34
(lldb) detach
(lldb) quit
Process 65494 detached

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 1 Zoltan Varga 2014-12-05 05:31:16 UTC
How can I reproduce this ?
Comment 2 Marek Safar 2014-12-05 06:05:50 UTC
I don't have simple repro (not involving xbuild & ironpython) yet but saw it yesterday few times in console app
Comment 3 Zoltan Varga 2014-12-08 10:23:52 UTC
Does this happen in a multi-threaded app ?
Comment 4 Ludovic Henry 2018-02-28 22:33:38 UTC
Can we still reproduce that bug?
Comment 5 Ludovic Henry 2018-04-05 19:45:46 UTC
Please reopen if you can still reproduce. Thank you